MvcMailTiein: ezcMvcMailRequestParser
[ ]
[ ]
[ ]
[ ]
[ ]
Class: ezcMvcMailRequestParser
|
Request parser that uses an e-mail message to populate an ezcMvcRequest object. [
source]
Parents
ezcMvcRequestParser
|
--ezcMvcMailRequestParser
Inherited Member Variables
From
ezcMvcRequestParser:
Method Summary
|
public void |
addFile(
$context, $mailFile )
Adds a found attachment to the request structure. |
|
public ezcMvcRequest |
createRequest(
[$mailMessage = null] )
Uses stdin, or the provided data in $mailMessage. |
|
public void |
getBody(
$context, $mailText )
Sets the request body to the text of the $mailText if the body is empty. |
|
protected void |
processAcceptHeaders(
)
Does really nothing, as Mail doesn't have those bits. |
|
protected void |
processFiles(
$mail )
Processes file attachments. |
|
protected void |
processStandardHeaders(
$mail )
Processes the standard headers that are not subdivided into other structs. |
|
protected void |
processUserAgentHeaders(
$mail )
Processes the User Agent header into the ezcMvcRequestUserAgent struct. |
Inherited Methods
From
ezcMvcRequestParser :
Methods
addFile
void addFile(
$context,
$mailFile )
Adds a found attachment to the request structure.
Parameters
createRequest
Uses stdin, or the provided data in $mailMessage.
Parameters
| Name |
Type |
Description |
$mailMessage |
string |
|
Redefinition of
getBody
void getBody(
$context,
$mailText )
Sets the request body to the text of the $mailText if the body is empty.
Parameters
processAcceptHeaders
void processAcceptHeaders(
)
Does really nothing, as Mail doesn't have those bits.
processFiles
void processFiles(
$mail )
Processes file attachments.
Parameters
| Name |
Type |
Description |
$mail |
ezcMail |
|
processStandardHeaders
void processStandardHeaders(
$mail )
Processes the standard headers that are not subdivided into other structs.
Parameters
| Name |
Type |
Description |
$mail |
ezcMail |
|
processUserAgentHeaders
void processUserAgentHeaders(
$mail )
Processes the User Agent header into the ezcMvcRequestUserAgent struct.
Parameters
| Name |
Type |
Description |
$mail |
ezcMail |
|
Last updated: Tue, 01 Sep 2009